package kr.co.vividnext.sodalive.member.block

import com.querydsl.core.annotations.QueryProjection

data class GetBlockedMemberListResponse(
    val totalCount: Int,
    val items: List<GetBlockedMemberListItem>
)

data class GetBlockedMemberListItem @QueryProjection constructor(
    val memberId: Long,
    val nickname: String,
    val profileImageUrl: String,
    val isBlocked: Boolean
)
