package kr.co.vividnext.sodalive.member.notification

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.OneToOne

@Entity
data class MemberNotification(
    @Column(nullable = false)
    var uploadContent: Boolean? = true,

    @Column(nullable = false)
    var live: Boolean? = true,

    @Column(nullable = false)
    var message: Boolean? = true,

    @Column(nullable = false)
    var audition: Boolean? = false
) : BaseEntity() {
    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null
        set(value) {
            value?.notification = this
            field = value
        }
}
