package kr.co.vividnext.sodalive.live.recommend

import com.querydsl.core.annotations.QueryProjection

data class GetCreatorFollowingAllListResponse(
    val totalCount: Int,
    val items: List<GetCreatorFollowingAllListItem>
)

data class GetCreatorFollowingAllListItem @QueryProjection constructor(
    val creatorId: Long,
    val nickname: String,
    val profileImageUrl: String,
    val isFollow: Boolean,
    val isNotify: Boolean
)
