package kr.co.vividnext.sodalive.point

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.useraction.ActionType
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class PointGrantLog(
    val memberId: Long,
    val point: Int,
    @Enumerated(EnumType.STRING)
    val actionType: ActionType,
    val policyId: Long?,
    val orderId: Long?
) : BaseEntity()
